Check if a domain has a pending renewal order

Check if a specific domain has an ongoing renewal order. This is useful to avoid duplicate payments or to inform the customer about an upcoming renewal. The endpoint returns an ID that can be used for follow-up actions.

Domain Services Domains

Context

Workflow links

Path Parameters

id integer · min: 1 required Example: 14041

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.dateCreated string · Example: 2026-02-10 00:00:00
data.hasPendingOrder boolean required · Example: false
data.invoiceId string · Example: 45336
data.invoiceStatus string · Example: Unpaid
data.orderId string · Example: 31764
data.orderNumber string · Example: 15038758
data.proformaId string · Example: 202545336
data.total string · Example: 436.25
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domain-pending-renewal/{id}
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domain-pending-renewal/14041" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "hasPendingOrder": false
  }
}